Package org.codehaus.plexus.util.xml.pull

# Class XmlPullParserException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.plexus.util.xml.pull.XmlPullParserException

All Implemented Interfaces:
  `Serializable`

public class XmlPullParserException extends Exception
This exception is thrown to signal XML Pull Parser related faults.

Author:
  Aleksander Slominski
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`column`
`protected Throwable`
`detail`
Deprecated.
use generic getCause() method
`protected int`
`row`

## Constructor Summary

Constructors
Constructor
Description
`XmlPullParserException(String s)`
`XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnNumber()`
`Throwable`
`getDetail()`
Deprecated.
Use the generic `getCause()` method
`int`
`getLineNumber()`
`void`
`printStackTrace()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### detail

@Deprecated protected Throwable detail
Deprecated.
use generic getCause() method

### row

protected int row

### column

protected int column

## Constructor Details

### XmlPullParserException

public XmlPullParserException(String s)

### XmlPullParserException

public XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)

## Method Details

### getDetail

@Deprecated public Throwable getDetail()
Deprecated.
Use the generic `getCause()` method

Returns:
  the cause

### getLineNumber

public int getLineNumber()

### getColumnNumber

public int getColumnNumber()

### printStackTrace

public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`